/* CSS Document */
pre {
	overflow: auto;
}

pre code {
	background-color: #eee;
    border: 1px solid #999;
    display: block;
    padding: 20px;
    text-align: left;
    line-height: initial;
    font-size: smaller;
    font-family: monospace;
	overflow: auto;
}

.devicelist {
	text-align: left;
}
/* fixes missing checkbox*/
form input, form select, form textarea, form input[type=text] {
	-webkit-appearance: revert;
width: initial;
}


table {  
    color: #333;
    font-family: Helvetica, Arial, sans-serif;
    /*width: 640px; */
	width: 100%; 
    border-collapse: 
    collapse; border-spacing: 0; 
}

td, th {  
    border: 1px solid transparent; /* No more visible border */
    height: 30px; 
    transition: all 0.3s;  /* Simple transition for hover effect */
}

th {  
    background: #DFDFDF;  /* Darken header a bit */
    font-weight: bold;
}

td {  
    background: #FAFAFA;
    text-align: center;
}

/* Cells in even rows (2,4,6...) are one color */        
tr:nth-child(even) td { background: #F1F1F1; }   

/* Cells in odd rows (1,3,5...) are another (excludes header cells)  */        
tr:nth-child(odd) td { background: #FEFEFE; }  

/* tr td:hover { background: #666; color: #FFF; }  */
/* Hover cell effect! */


#filterTableInput{
	width: initial;}

.formStyleBox {
	display: inline-block;
	border: 0;
	padding: 0.75em;
	font-size: 1em;
	border-radius: 8px;
	background: #DFDFDF;
	color: #000;
	box-shadow: inset 0px 2px 5px 0px rgba(0,0,0,0.05), 0px 1px 0px 0px rgba(255,255,255,0.025);
	/*width: 100%;*/
	-moz-transition: background .2s ease-in-out, box-shadow .2s ease-in-out;
	-webkit-transition: background .2s ease-in-out, box-shadow .2s ease-in-out;
	-o-transition: background .2s ease-in-out, box-shadow .2s ease-in-out;
	-ms-transition: background .2s ease-in-out, box-shadow .2s ease-in-out;
	transition: background .2s ease-in-out, box-shadow .2s ease-in-out;
}
.wideLine {
	display: block;
	width: 100%;
	border: 0;
	padding: 0.75em;
	font-size: 1em;
	
}

.deviceTableTagItems {
	display: inline-block;
	border: 0;
	padding: 0.75em;
	margin: 1px;
	border-radius: 8px;
	background: #DFDFDF;
	
}
.deviceTableTagItemsRed {
	display: inline-block;
	border: 0;
	padding: 0.75em;
	margin: 1px;
	border-radius: 8px;
	background: #DF1104;
    color: #feff05;
}
.deviceTableTagItemsOrange {
	display: inline-block;
	border: 0;
	padding: 0.75em;
	margin: 1px;
	border-radius: 8px;
	background: #DF7104;
    color: #feff05;
}
.deviceTableTagItemsGreen {
	display: inline-block;
	border: 0;
	padding: 0.75em;
	margin: 1px;
	border-radius: 8px;
	background: #35AC16;
    color: #feff05;
}

/* ====================================
make checkboxes bigger */


input[type='checkbox'] {
    -webkit-appearance:none;
    width:30px;
    height:30px;
    background:white;
    border-radius:5px;
    border:2px solid #555;
}
input[type='checkbox']:checked {
    background: #abd;
	background: #0e0e0e;
}

/* ==================================== 
http://jsfiddle.net/zAFND/4/
*/
/*div label input {
   margin-right:100px;
}*/
/*body {
    font-family:sans-serif;
}
*/

#ck-button {
    /*margin:4px;*/
	margin-right: 6px;
   /* background-color:#EFEFEF;*/
	 background-color:#dfdfdf;
    border-radius:4px;
    border:1px solid #D0D0D0;
    overflow:auto;
    float:left;
	
	
	
	
	border: 0;
    padding: 0.75em;
    font-size: 1em;
    border-radius: 8px;
    background: #DFDFDF;
    color: #000;
    box-shadow: inset 0px 2px 5px 0px rgba(0,0,0,0.05), 0px 1px 0px 0px rgba(255,255,255,0.025);
    /*width: 100%;*/
    -moz-transition: background .2s ease-in-out, box-shadow .2s ease-in-out;
    -webkit-transition: background .2s ease-in-out, box-shadow .2s ease-in-out;
    -o-transition: background .2s ease-in-out, box-shadow .2s ease-in-out;
    -ms-transition: background .2s ease-in-out, box-shadow .2s ease-in-out;
    transition: background .2s ease-in-out, box-shadow .2s ease-in-out;

}

#ck-button:hover {
    /*background:red;*/
	background:#d6d6d6;
}

#ck-button label {
    float:left;
    width:4.0em;
}

#ck-button label span {
    text-align:center;
    /*padding:3px 0px;*/
    display:block;
}

#ck-button label input {
    position:absolute;
    top:-20px;
}

#ck-button input:checked + span {
    /*background-color:#911;*/
	/*background-color:#bfbfbf;*/
    /*color:#fff;*/
	color: #000;
}
/* ==================================== */


